%global srcname pytest_ruff
Name:    python-pytest-ruff
Version: 0.3.2
Release: 1%{?dist}
Summary: A pytest plugin to run ruff

License: MIT
URL:     https://github.com/businho/pytest-ruff
Source0: %pypi_source

BuildArch:     noarch
BuildRequires: python3-devel

%global _description %{expand:
A pytest plugin to run ruff.

Usage: pytest --ruff --ruff-format

The plugin will run one ruff check test per file and fail if code is not ok for ruff.

Format command only checks for format and fails for formatting errors.}

%description %_description

%package -n python3-pytest-ruff
Summary: %{summary}

%description -n python3-pytest-ruff %_description

%generate_buildrequires
%pyproject_buildrequires -t

%prep
%autosetup -n %{srcname}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -L pytest_ruff

%check
%tox

%files -n python3-pytest-ruff -f %{pyproject_files}
%license LICENSE
%doc README.md

%changelog
* Mon Jul  8 2024 David Shea <reallylongword@gmail.com> - 0.3.2-1
- Initial package
